#include <stdio.h>
#define MARKUP1 0.05
#define MARKUP2 0.10
#define CUTOFF 10

void user_input(double*, int*);
double calc(double, double);
double markup(int);

int main(void)
	{
	double price, cost, total = 0;
	double markup_percent;
	int product_number;
	int response = 'y';

	while (response != 'n'){
		user_input( &cost, &product_number);
		markup_percent = markup(product_number);
		price = calc(cost, markup_percent );
		total = total + price;
		printf("Price = %.2lf\n", price);
		printf("Do you wish to continue : ");
		response = getchar();
		}
	printf("\nTotal is %.2lf\n", total);
	return 0;
	}

void user_input(double *costptr, int *prodptr)
	{
	printf("\nPlease enter cost: ");
	scanf ("%lf", costptr);
	printf("\nPlease enter product number: ");
	scanf ("%lf", prodptr);
	while (getchar() !='\n');
	}

double calc (double cost, double markup_percent)
	{
	return (cost + (cost * markup_percent));
	}

double markup(int prodnum)
	{
	double res;

	if (prodnum < CUTOFF)
		res = MARKUP1;
	 else
		res = MARKUP2;

	return res;
	}



